Skip to content

List Metric Views as a Tree

API Description

Use this API to get metric views in a tree structure.

API URL

GET Http://{anymetrics_host:anymetrics_port}/anymetrics/api/v1/analysisview/treeList

For how to obtain anymetrics_host:anymetrics_port, see Calling APIs.

Request Parameters

Common Request Parameters (HEADERS)

Parameter Type Required Description
tenant-id String Yes The tenant ID that identifies the tenant where the metric views belong
auth-type String Yes Authentication type. Supported values: UID, TOKEN, ACCOUNT, and APIKEY
auth-value String Yes The authentication value that corresponds to auth-type

How to Obtain Common Parameters

To obtain tenant-id, select a metric application in the top navigation bar of Aloudata CAN, choose API Integration from the left-side menu, and copy it from the API Integration page. Set auth-value to the authentication value that corresponds to the selected auth-type.

Request Parameters

None.

Response Parameters

Parameter Type Required Max Length Description
categoryId String Yes Current category ID
categoryName String Yes Current category name
analysisViewList Array No Analysis view information
subCategory Array No Subcategory list in recursive format

analysisView Information

Parameter Type Required Max Length Description
id Integer Yes Metric view ID
viewName String Yes 50 Metric view name
displayName String Yes Metric view display name
description String No 300 Metric view description

Request Example

http://127.0.0.1/anymetrics/api/v1/analysisview/treeList

Response Example

[
  {
  "categoryId": "category123", // Current category ID
  "categoryName": "Category Name", // Current category name
  "analysisViewList": [
    {
      "id": 226,
      "analysisViewName": "Analysis 1",
      "cnName":"Display Name",
      "description": "Description of Analysis 1"
    },
    {
      "id": 227,
      "analysisName": "Analysis 2",
      "cnName":"Display Name",
      "description": "Description of Analysis 2"
    }
  ], // Metric view list
  "subCategory": [
    {
      "categoryId": "subCategory123",
      "categoryName": "Subcategory Name",
      "analysisViewList": [
        {
          "id": 228,
          "analysisName": "Subanalysis 1",
          "cnName":"Display Name",
          "description": "Description of Subanalysis 1",
        }
      ],
      "subCategory": []
    }
  ] // Subcategory resources
}
]